﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;

namespace MongoSamples.Model
{
    /// <summary>
    /// Represents an album document in the "albums" collection
    /// of the "gallery" database.
    /// </summary>
    class Album
    {
        public int Id { get; set; }

        [BsonElement("images")]
        public List<int> ImageIds { get; set; }
    }
}
