# MongoDB Samples #

A set of unit tests that demonstrate various operations of the C# driver for [MongoDB](http://www.mongodb.org).

## Installation

Before you can run the samples in [NUnit](http://www.nunit.org) you need to first create the databases.   

Using a command shell navigate to the project root directory and run the following command (Please note that if you have existing databases named **gallery** or **sample**, these will be overwritten!)

	C:\Path\to\mongoimport.exe -h <your host name> --drop

Replace `<your host name>` with the name of your MongoDB server. The command will read the data from the `.\dump` directory and import two new databases, named **gallery** and **sample** into your server.

## Running the tests
You can use the NUnit standalone test runner or take advantage of the [NUnit Test Adapter for Visual Studio 2012 and 2013](http://www.nunit.org/index.php?p=vsTestAdapter&r=2.6.2) which will allow you to step through the code to see what is going on. Upon building the project the test adapter will be included in Visual Studio. Open *( Test | Windows | Test Explorer )* to see the tests. 

## License
MIT license ([http://opensource.org/licenses/MIT](http://opensource.org/licenses/MIT))